#!/usr/bin/python
import os

def run(op, vars, kbs, iterations, clauses, exp):
	target = '%.2d-%.3d-%.3d-%.1d.csv' % (kbs, vars, clauses, op )
	argdict = {'exec':'../../main', 'op':op, 'vars':vars, 'kbs':kbs, 'iterations':iterations, 'clauses':clauses, 'exp':exp, 'target':target}
	command = "%(exec)s -R -o %(op)d -p %(vars)d -k %(kbs)d -n %(iterations)d -c %(clauses)d -s 0 -t 3500 > %(exp)s/%(target)s" % argdict
	return os.system(command)



iterations = 1000
clauses = 35
vars = 15

for op in range(1,5):
	for kbs in range(1,11):
		run(op, vars, kbs, iterations, clauses, 'data')
	