#!/usr/bin/python

import os

def run(op, vars, kbs, iterations, clauses, exp):
	target = '%.2d-%.3d-%.3d-%.1d.csv' % (kbs, vars, clauses, op )
	argdict = {'exec':'../../main', 'op':op, 'vars':vars, 'kbs':kbs, 'iterations':iterations, 'clauses':clauses, 'exp':exp, 'target':target}
	command = "%(exec)s -R -o %(op)d -p %(vars)d -k %(kbs)d -n %(iterations)d -c %(clauses)d -s 0 -t 3500 > %(exp)s/%(target)s" % argdict
	return os.system(command)



ratio = 2.3
iterations = 1000
kbs = 5

for op in range(1,5):
	for vars in range(10,28,2):
		clauses = round(ratio * vars)
		run(op, vars, kbs, iterations, clauses, 'data')
	