#include "deltas.h"

bdd delta_max(const KSet &kset, const bdd &IC) {
	// keeps conjunction of dilations
	bdd conj;
	// keeps dilation bdds, initially kset
	KSet dilation(kset);

	// calculate conjunction and if inconsistent, dilate
	conj = conjunction(dilation, IC);
	
	while( !TERMINATE() && conj==bddfalse ) {
		// dilate each KB once
		std::transform(dilation.begin(), dilation.end(), dilation.begin(), dilate);
		conj = conjunction(dilation, IC);
		conjunctions++;

		// increase global var for benchmarking
		dilations++;
	}
	
	return conj;
}

