#ifndef PROPFORMULA_H
#define PROPFORMULA_H

#include <bdd.h>
#include <iostream>
#include <set>

//----------------------------------------------------------------------------------------
typedef std::set<int> Clause;
// type for propositional CNF
typedef std::set<Clause> CNF;
//----------------------------------------------------------------------------------------
// read a propositional profile from stdin and merge with op
void run_prop_input(unsigned kbs, unsigned op);
// convert a bdd to a minimised CNF
CNF * buildCNF(bdd f);
// output a CNF 
std::ostream& operator<<(std::ostream& out, const CNF & f);
//----------------------------------------------------------------------------------------

#endif
