#!/bin/sh

PS_VIEWER='kghostview'
GNUPLOT='gnuplot -persist'
TEMPFILE=$(mktemp -t plot.XXXXXX ) || exit 1



(
echo "set terminal postscript eps"
echo "set output '${TEMPFILE}'"

echo -n "plot \"< cut -f12 -d, $1\" u (floor(\$1/10000)):(1) smooth frequency with lines"
shift

while [ $# -gt 1 ]
do

echo -n ",\"< cut -f12 -d, $1\" u (floor(\$1/10000)):(1) smooth frequency with lines"
shift

done

echo

) | $GNUPLOT
$PS_VIEWER $TEMPFILE
rm -f $TEMPFILE
